Issue #12888 has been updated by hsbt (Hiroshi SHIBATA).

Status changed from Open to Rejected

Ruby 2.2.x is EOL status. 

----------------------------------------
Bug #12888: Require 'thread' crash on recent 2.2.x
https://bugs.ruby-lang.org/issues/12888#change-76279

* Author: Jishin (Julien BONNET)
* Status: Rejected
* Priority: Normal
* Assignee: usa (Usaku NAKAMURA)
* Target version: 
* ruby -v: ruby 2.2.3p173 (2015-08-18 revision 51636) [x64-mingw32]
* Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN
----------------------------------------
By just calling the Thread class, a ruby script or just IRB crash : 

(French install) 
LoadError: 127: La procdure spcifie est introuvable.   - Init_Thread

It works on ruby for windows 1.9.3-p327, 2.0.0-p353
It fails on ruby for windows 2.2.3, 2.2.5
I have not tried on other versions

This is mandatory for using the Queue class in versions 2.0.0 and prior,
so it breaks code compatibility between 2.x versions



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>